import java.io.*;
import javax.microedition.io.*;
import javax.microedition.lcdui.*;

class Lib_sock {
private static StreamConnection connection = null;
private static DataInputStream in = null;
private static DataOutputStream out = null;

Lib_sock() {}

public static int open(String s) {
  try {
    connection = (StreamConnection) Connector.open(s);
    in = connection.openDataInputStream();
    out = connection.openDataOutputStream();
  }catch(IOException io) {return -1;}
  return 0;
}

public static void close() {
  //   .
  if (in != null)  try {in.close();} catch (IOException ex) {}
  if (out != null) try {out.close();} catch (IOException ex) {}
  if (connection != null) try {connection.close();} catch (IOException ex) {}
  in = null;
  out = null;
  connection = null;
}

public static int available() {
  try{
    if(in != null)  return in.available();
  }catch(Exception e) {}
  return -1;
}

public static int read() {
  try{
    return in.read();
  }catch(Exception e) {}
  return -1;
}

public static int write(int d) {
  byte[] b = new byte[1];
  b[0]=(byte)d;
  try{
    out.write(b, 0, 1);
  }catch(Exception e) {return -1;}
  return 0;
}

public static String readstr() {
  StringBuffer buf = new StringBuffer("");
  try{
    byte[] b = new byte[1];
    in.read(b);
    do {
      while (b[0] != 13) {
        buf.append( (char) b[0]);
        in.read(b);
      }
      in.read(b);
    } while (in.available()!=0);
  }catch(Exception e) {}
  return buf.toString();
}

public static int writestr(String s) {
  byte[] b = s.getBytes();
  try{
    out.write(b, 0, b.length);
  }catch(Exception e) {return -1;}
  return 0;
}

}
